package me.rainsay.testdemo.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import me.rainsay.testdemo.feign.fallback.BookClientFallback;

@FeignClient(name = "book-server", fallback = BookClientFallback.class)
public interface BookClient {
	
	@RequestMapping(value = "/book", method = RequestMethod.GET)
	String hello();
}
