package me.rainsay.testdemo.controller;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class HelloController {
	
	private final static Logger log = LoggerFactory.getLogger(HelloController.class);

	@GetMapping("/hello")
	public String hello() {
		log.info("GET /hello success");
		return "hello world from spring boot";
	}
}
